VkXcbSurfaceCreateInfoKHR Struct Reference

`#include <vulkan_xcb.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkXcbSurfaceCreateFlagsKHR | flags
xcb_connection_t * | connection
xcb_window_t | window

## Detailed Description

Definition at line 36 of file vulkan_xcb.h.

## Field Documentation

## connection

xcb_connection_t* VkXcbSurfaceCreateInfoKHR::connection

Definition at line 40 of file vulkan_xcb.h.

## flags

VkXcbSurfaceCreateFlagsKHR VkXcbSurfaceCreateInfoKHR::flags

Definition at line 39 of file vulkan_xcb.h.

## pNext

const void* VkXcbSurfaceCreateInfoKHR::pNext

Definition at line 38 of file vulkan_xcb.h.

## sType

VkStructureType VkXcbSurfaceCreateInfoKHR::sType

Definition at line 37 of file vulkan_xcb.h.

## window

xcb_window_t VkXcbSurfaceCreateInfoKHR::window

Definition at line 41 of file vulkan_xcb.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_xcb.h